
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>vendor.redshift module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-vendor.redshift">
<span id="vendor-redshift-module"></span><h1>vendor.redshift module<a class="headerlink" href="#module-vendor.redshift" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="vendor.redshift.Redshift">
<em class="property">class </em><code class="sig-prename descclassname">vendor.redshift.</code><code class="sig-name descname">Redshift</code><span class="sig-paren">(</span><em class="sig-param">user</em>, <em class="sig-param">password</em>, <em class="sig-param">host</em>, <em class="sig-param">port</em>, <em class="sig-param">dbname</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.redshift.Redshift" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<p>Redshift class to connect and execute queries on Redshift cluster.
Credentials are taken from config file and connected to cluster whenever object is called.
No explicit operator required for commit DML statements as autocommit is True.</p>
<dl class="attribute">
<dt id="vendor.redshift.Redshift.numeric_dtypes">
<code class="sig-name descname">numeric_dtypes</code><em class="property"> = ['smallint', 'integer', 'bigint', 'numeric', 'real', 'double precision']</em><a class="headerlink" href="#vendor.redshift.Redshift.numeric_dtypes" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.redshift.Redshift.initialize">
<em class="property">classmethod </em><code class="sig-name descname">initialize</code><span class="sig-paren">(</span><em class="sig-param">rs_connector_id: int</em>, <em class="sig-param">session: sqlalchemy.orm.session.Session</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.redshift.Redshift.initialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.redshift.Redshift.initialize_with_connector">
<em class="property">classmethod </em><code class="sig-name descname">initialize_with_connector</code><span class="sig-paren">(</span><em class="sig-param">rs_connector: models.Connector</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.redshift.Redshift.initialize_with_connector" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.redshift.Redshift.execute">
<code class="sig-name descname">execute</code><span class="sig-paren">(</span><em class="sig-param">query</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.redshift.Redshift.execute" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/vendor.redshift.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>